apiVersion: v1
kind: ConfigMap
metadata:
  name: opencloud-config
data:
  OCAUTH_ADMIN_ROLE: "{{ .Values.ocAuth.keto.adminRole }}"
  OCAUTH_PUBLIC_KEY_PATH: "/keys/public/public.pem"
  OCAUTH_PRIVATE_KEY_PATH: "/keys/private/private.pem"
  OCAUTH_CLIENT_SECRET: "{{ .Values.ocAuth.hydra.openCloudOauth2ClientSecretName }}"
  OCAUTH_AUTH: "{{ .Values.ocAuth.authType }}"
  OCAUTH_AUTH_CONNECTOR_HOST: "{{ .Release.Name }}-hydra-admin.{{ .Release.Namespace }}"
  OCAUTH_AUTH_CONNECTOR_PORT: "4444"
  OCAUTH_AUTH_CONNECTOR_ADMIN_PORT: "4445"
  OCAUTH_PERMISSION_CONNECTOR_HOST: "{{ .Release.Name }}-keto-write.{{ .Release.Namespace }}"
  OCAUTH_PERMISSION_CONNECTOR_PORT: "80"
  OCAUTH_PERMISSION_CONNECTOR_ADMIN_PORT: "80"
  OCAUTH_LDAP_ENDPOINTS: "{{ .Release.Name }}-openldap.{{ .Release.Namespace }}.svc.cluster.local:389"
  OCAUTH_LDAP_BINDDN: "{{ index .Values.ocAuth.ldap.bindDn }}"
  OCAUTH_LDAP_BINDPW: "{{ index .Values.ocAuth.ldap.binPwd }}"
  OCAUTH_LDAP_BASEDN: "{{ index .Values.ocAuth.ldap.baseDn }}"
  OCAUTH_LDAP_ROLE_BASEDN: "{{ index .Values.ocAuth.ldap.roleBaseDn }}"
  OCAUTH_MONGO_URL: "mongodb://{{ index .Values.mongodb.auth.usernames 0 }}:{{ index .Values.mongodb.auth.passwords 0 }}@{{ .Release.Name }}-mongodb.{{ .Release.Namespace }}:27017/{{ index .Values.mongodb.auth.databases 0 }}"
  OCAUTH_MONGO_DATABASE: "{{ index .Values.mongodb.auth.databases 0 }}"
  OCAUTH_NATS_URL: "nats://dev-nats.{{ .Release.Namespace }}.svc.cluster.local:4222"
  OCAUTH_LOKI_URL: "{{ .Values.SERVER_PATH }}"
